AI resources
Capture payment

This endpoint captures or cancels a payment ("advanced_payment"). To capture, send the payment data with the "capture=true" field. To cancel, send the payment data with the "status=canceled" field. In case of success, the request will return a response with status 200.

PUT

https://api.mercadopago.com/v1/advanced_payments/{advanced_payment_id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
advanced_payment_id
number

REQUIRED

Unique identifier of the payment.
Body
capture
boolean
Send this field set to "true" to confirm and capture the payment. Omit it when canceling.
wallet_payment
object

REQUIRED

Payment data from a seller with a prior Wallet Connect agreement.
status
string
Send this field with the value "canceled" to cancel the payment. Omit it when capturing.
Response parameters
id
number
Unique identifier of the payment.
payments
array
List of payments that were generated.
wallet_payment
object
Wallet payment data from a seller with a prior Wallet Connect agreement.
disbursements
array
List of disbursements distributed among the sellers.
Errors

400Request error.

invalid_path_param

The "advanced_payment_id" provided in the path is not valid. Please confirm it and provide a valid id to try again.

404Resource not found.

payment_not_found

Payment not found. Please check if you provided the correct "advanced_payment_id".

500Generic error.

internal_error

An internal server error occurred. Please try again later. If the problem persists, contact support and provide the x-request-id and details about the operation performed.

Request
curl -X PUT \
    'https://api.mercadopago.com/v1/advanced_payments/{advanced_payment_id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-1*********685765-12*********1b4332e5c*********e077d7679*********664' \
    -d '{
  "capture": false,
  "wallet_payment": {
    "transaction_amount": 24.5,
    "description": "Payment for the purchase of furniture",
    "external_reference": "Payment_seller_123"
  },
  "status": "canceled"
}'
Response
{
  "id": 10234567,
  "payments": [
    {
      "id": 3870106238,
      "status": "approved",
      "status_detail": "accredited",
      "payment_type_id": "credit_card",
      "payment_method_id": "credit_card",
      "transaction_amount": "24.50",
      "installments": 1,
      "description": "Payment for the purchase of furniture",
      "capture": true,
      "external_reference": "payment_123"
    }
  ],
  "wallet_payment": {
    "transaction_amount": "24.50",
    "description": "Payment for the purchase of furniture",
    "external_reference": "Payment_seller_123",
    "discount": {
      "amount": 10,
      "code": "WALLET10"
    }
  },
  "disbursements": [
    {
      "collector_id": "987654"
    }
  ],
  "payer": {
    "id": 8879
  },
  "site_id": "MLA",
  "binary_mode": true,
  "date_created": "2018-10-20T09:34:20.518-04:00",
  "date_last_updated": "2018-10-20T09:34:20.518-04:00"
}